ia64/xen-unstable

view install.sh @ 4750:efa6730ad90e

bitkeeper revision 1.1159.258.112 (4277a730mvnFSFXrxJpVRNk8hjD4Vg)

[PATCH] Mkbuildtree little fix

Hi, here is a really small fix for mkbuildtree.

With my 'find' version [1], I get many of these warning when using mkbuildtree:

find: warning: you have specified the -maxdepth option after a
non-option argument -type, but options are not positional (-maxdepth
affects tests specified before it as well as those specified after it).
Please specify options before other arguments.

My patch just correct the ordering of the options, it should be
harmless, but I didn't test with other versions of find.

Regards

[1] find --version
GNU find version 4.2.20
Features enabled: D_TYPE O_NOFOLLOW(enabled)

xen-unstable-mkbuildtree-find-maxpath.patch:
author ydroneaud@mandriva.com[kaf24]
date Tue May 03 16:30:40 2005 +0000 (2005-05-03)
parents f7b65f70ccc8
children 83ac50ad8b2d 0dc3b8b8c298 5a28c8cd39a3
line source
1 #!/bin/sh
3 src='./install'
4 if [ -d ./dist ]; then
5 src='./dist/install'
6 fi
8 if ! [ -d $src ]; then
9 echo "ERROR: Could not find a valid distribution directory."
10 echo " If this is a source-only release, try 'make dist'."
11 exit 1
12 fi
14 dst='/'
15 if [ $# -ne 0 ]; then
16 dst=$1
17 fi
19 if ! [ -d $dst ]; then
20 echo "ERROR: You must specify a valid install directory."
21 echo " The specified directory '$dst' is not valid."
22 exit 1
23 fi
25 echo "Installing Xen from '$src' to '$dst'..."
26 cd $src/boot
27 (echo '2.6.*' -2.6; echo '2.4.*' -2.4; echo '2.*.*' '') | while read m v
28 do
29 l=$(eval ls -t vmlinuz-$m-xen0 2>/dev/null | head -n 1)
30 [ -e "$l" ] && ln -fs "$l" vmlinuz${v}-xen0
31 l=$(eval ls -t vmlinuz-$m-xenU 2>/dev/null | head -n 1)
32 [ -e "$l" ] && ln -fs "$l" vmlinuz${v}-xenU
33 done
34 cd -
35 cp -fdRL $src/* $dst
36 echo "All done."
38 echo "Checking to see whether prerequisite tools are installed..."
39 cd $src/../check
40 ./chk install
41 echo "All done."
43 exit 0